using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Tools.Config;

namespace Tools.Users
{
    public class UserContext
    {

        private static UserContext context;

        public static UserContext Get()
        {
            if (context == null)
                context = new UserContext();

            return context;
        }

        private UserContext()
        {
            ConfigManager configManager = ConfigManager.Get();
            Users = new List<User>(new User[]
            {
                
                new User()
                {
                    Login = configManager.ModeratorName,
                    Password = configManager.ModeratorPassword
                }
            });


        }



        public List<User> Users { private set; get; }



    }
}
